




// home
export const SET_MENU_STATE = "HOMW_STAT/SET_MENU_STATE"

export const GET_HOME_STATS_REQUEST = "HOMW_STAT/GET_HOME_STATS_REQUEST"
export const GET_HOME_STATS_FAILED = "HOMW_STAT/GET_HOME_STATS_FAILED"
export const GET_HOME_STATS_RESPONSE = "HOMW_STAT/GET_HOME_STATS_RESPONSE"
//filterr home report
export const FILTER_HOME_REPORTS_REQUEST = "HOMW_STAT/FILTER_HOME_REPORTS_REQUEST"
export const FILTER_HOME_REPORTS_FAILED = "HOMW_STAT/FILTER_HOME_REPORTS_FAILED"
export const FILTER_HOME_REPORTS_RESPONSE = "HOMW_STAT/FILTER_HOME_REPORTS_RESPONSE"

export const SET_DEFAULT_QUEUE = "QUEUE/SET_DEFAULT_QUEUE"

// set APP language
export const SET_APP_LANGUAGE = 'SET_APP_LANGUAGE';
export const GET_APP_LANGUAGE = 'GET_APP_LANGUAGE';

// save login data
export const SET_USER_LOGIN_DATA = 'SET_USER_LOGIN_DATA';

// get a queue
export const GET_A_QUEUE_REQUEST = 'GET_A_QUEUE_REQUEST';
export const GET_A_QUEUE_RESPONSE = 'GET_A_QUEUE_RESPONSE';
export const GET_A_QUEUE_FAILED = 'GET_A_QUEUE_FAILED';


export const UPDATE_A_QUEUE_REQUEST = 'UPDATE_A_QUEUE_REQUEST';
export const UPDATE_A_QUEUE_RESPONSE = 'UPDATE_A_QUEUE_RESPONSE';
export const UPDATE_A_QUEUE_FAILED = 'UPDATE_A_QUEUE_FAILED';

export const DELETE_A_QUEUE_REQUEST = 'DELETE_A_QUEUE_REQUEST';
export const DELETE_A_QUEUE_RESPONSE = 'DELETE_A_QUEUE_RESPONSE';
export const DELETE_A_QUEUE_FAILED = 'DELETE_A_QUEUE_FAILED';


// login Actions type
export const LOGIN_REQUEST = 'LOGIN_REQUEST';
export const LOGIN_RESPONSE = 'LOGIN_RESPONSE';
export const LOGIN_FAILED = 'LOGIN_FAILED';
export const LOGIN_ENABLE_LOADER = 'LOGIN_ENABLE_LOADER';
export const LOGIN_DISABLE_LOADER = 'LOGIN_DISABLE_LOADER';

// social login Actions type
export const SOCIAL_LOGIN_REQUEST = 'SOCIAL_LOGIN_REQUEST';
export const SOCIAL_LOGIN_RESPONSE = 'SOCIAL_LOGIN_RESPONSE';
export const SOCIAL_LOGIN_FAILED = 'SOCIAL_LOGIN_FAILED';


// GET_ALL_INDUSTRIES_REQUEST
export const GET_ALL_INDUSTRIES_REQUEST = 'GET_ALL_INDUSTRIES_REQUEST';
export const GET_ALL_INDUSTRIES_RESPONSE = 'GET_ALL_INDUSTRIES_RESPONSE';
export const GET_ALL_INDUSTRIES_FAILED = 'SGET_ALL_INDUSTRIES_FAILED';

// GET COUNTRIES REQUEST
export const GET_COUNTRIES_REQUEST = 'GET_COUNTRIES_REQUEST';
export const GET_COUNTRIES_RESPONSE = 'GET_COUNTRIES_RESPONSE';
export const GET_COUNTRIES_FAILED = 'GET_COUNTRIES_FAILED';


export const CHECK_EMAIL_REQUEST = 'CHECK_EMAIL_REQUEST';
export const CHECK_EMAIL_FAILED = 'CHECK_EMAIL_FAILED';
export const CHECK_EMAIL_RESPONSE = 'CHECK_EMAIL_RESPONSE';








// filter industries
export const SEARCH_INDUSTRIES_REQUEST = 'SEARCH_INDUSTRIES_REQUEST';
export const SEARCH_INDUSTRIES_RESPONSE = 'SEARCH_INDUSTRIES_RESPONSE';
export const SEARCH_INDUSTRIES_FAILED = 'SEARCH_INDUSTRIES_FAILED';

// GET_INDUSTRY_SERVICES_REQUEST
export const GET_INDUSTRY_SERVICES_REQUEST = 'GET_INDUSTRY_SERVICES_REQUEST';
export const GET_INDUSTRY_SERVICES_FAILED = 'GET_INDUSTRY_SERVICES_FAILED';
export const GET_INDUSTRY_SERVICES_RESPONSE = 'GET_INDUSTRY_SERVICES_RESPONSE';

// signUp Actions type

export const SIGNUP_REQUEST = 'SIGNUP_REQUEST';
export const SIGNUP_RESPONSE = 'SIGNUP_RESPONSE';
export const SIGNUP_FAILED = 'SIGNUP_FAILED';



// reset password 

export const RESET_PASSWORD_REQUEST = 'RESET_PASSWORD_REQUEST';
export const RESET_PASSWORD_RESPONSE = 'RESET_PASSWORD_RESPONSE';
export const RESET_PASSWORD_FAILED = 'RESET_PASSWORD_FAILED';

// reset password  with code

export const RESET_PASSWORD_REQUEST_WITH_CODE = 'RESET_PASSWORD_REQUEST_WITH_CODE';
export const RESET_PASSWORD_RESPONSE_WITH_CODE = 'RESET_PASSWORD_RESPONSE_WITH_CODE';
export const RESET_PASSWORD_FAILED_WITH_CODE = 'RESET_PASSWORD_FAILED_WITH_CODE';

// logout 
export const LOGOUT_REQUEST = 'LOGOUT_REQUEST';
export const LOGOUT_RESPONSE = 'LOGOUT_RESPONSE';
export const LOGOUT_FAILED = 'LOGOUT_FAILED';


// get all customers

export const GET_ALL_CUSTOMERS_REQUEST = 'CUSOMERS/GET_ALL_CUSTOMERS_REQUEST';
export const GET_ALL_CUSTOMERS_FAILED = 'CUSOMERS/GET_ALL_CUSTOMERS_FAILED';
export const GET_ALL_CUSTOMERS_RESPONSE = 'CUSOMERS/GET_ALL_CUSTOMERS_RESPONSE';
export const RESET_CUSTOMERS_LIST = 'CUSOMERS/RESET_CUSTOMERS_LIST';
export const SELECTED_CUSTOMER_TO_APPOINTMENT = 'CUSOMERS/SELECTED_CUSTOMER_TO_APPOINTMENT';





// get all vip customerts actions   ---------------------------->
export const GET_ALL_CUSTOMERS_VIP_REQUEST = 'CUSOMERS/GET_ALL_CUSTOMERS_VIP_REQUEST';
export const GET_ALL_CUSTOMERS_VIP_FAILED = 'CUSOMERS/GET_ALL_CUSTOMERS_VIP_FAILED';
export const GET_ALL_CUSTOMERS_VIP_RESPONSE = 'CUSOMERS/GET_ALL_CUSTOMERS_VIP_RESPONSE';
export const RESET_CUSTOMERS_VIP_LIST = 'CUSOMERS/RESET_CUSTOMERS_VIP_LIST';


// get all blackList customerts actions   ---------------------------->
export const GET_ALL_CUSTOMERS_BLACKLIST_REQUEST = 'CUSOMERS/GET_ALL_CUSTOMERS_BLACKLIST_REQUEST';
export const GET_ALL_CUSTOMERS_BLACKLIST_FAILED = 'CUSOMERS/GET_ALL_CUSTOMERS_BLACKLIST_FAILED';
export const GET_ALL_CUSTOMERS_BLACKLIST_RESPONSE = 'CUSOMERS/GET_ALL_CUSTOMERS_BLACKLIST_RESPONSE';
export const RESET_CUSTOMERS_BLACKLIST_LIST = 'CUSOMERS/RESET_CUSTOMERS_BLACKLIST_LIST';


// get a customers
export const GET_A_CUSTOMERS_REQUEST = 'CUSOMERS/GET_A_CUSTOMERS_REQUEST';
export const GET_A_CUSTOMERS_FAILED = 'CUSOMERS/GET_A_CUSTOMERS_FAILED';
export const GET_A_CUSTOMERS_RESPONSE = 'CUSOMERS/GET_A_CUSTOMERS_RESPONSE';



// create  a customers
export const CREATE_CUSTOMER_REQUEST = 'CUSOMERS/CREATE_CUSTOMER_REQUEST';
export const CREATE_CUSTOMER_FAILED = 'CUSOMERS/CREATE_CUSTOMER_FAILED';
export const CREATE_CUSTOMER_RESPONSE = 'CUSOMERS/CREATE_CUSTOMER_RESPONSE';



// update  a customers
export const UPDATE_CUSTOMER_REQUEST = 'CUSOMERS/UPDATE_CUSTOMER_REQUEST';
export const UPDATE_CUSTOMER_FAILED = 'CUSOMERS/UPDATE_CUSTOMER_FAILED';
export const UPDATE_CUSTOMER_RESPONSE = 'CUSOMERS/UPDATE_CUSTOMER_RESPONSE';


// delete  a customers
export const DELETE_CUSTOMER_REQUEST = 'CUSOMERS/DELETE_CUSTOMER_REQUEST';
export const DELETE_CUSTOMER_FAILED = 'CUSOMERS/DELETE_CUSTOMER_FAILED';
export const DELETE_CUSTOMER_RESPONSE = 'CUSOMERS/DELETE_CUSTOMER_RESPONSE';


// google map
export const GET_PLACES_FROM_GOOGLE_API_REQUEST = 'GOOGLE_MAP/GET_PLACES_FROM_GOOGLE_API_REQUEST';
export const GET_PLACES_FROM_GOOGLE_API_FAILED = 'GOOGLE_MAP/GET_PLACES_FROM_GOOGLE_API_FAILED';
export const GET_PLACES_FROM_GOOGLE_API_RESPONSE = 'GOOGLE_MAP/GET_PLACES_FROM_GOOGLE_API_RESPONSE';

// remove customer from book
export const REMOVE_CUSTOMER_FROM_BOOK_REQUEST = 'CUSOMERS/REMOVE_CUSTOMER_FROM_BOOK_REQUEST';
export const REMOVE_CUSTOMER_FROM_BOOK_FAILED = 'CUSOMERS/REMOVE_CUSTOMER_FROM_BOOK_FAILED';
export const REMOVE_CUSTOMER_FROM_BOOK_RESPONSE = 'CUSOMERS/REMOVE_CUSTOMER_FROM_BOOK_RESPONSE';


// add customer to books list
export const ADD_CUSTOMER_TO_BOOKS_REQUEST = 'CUSOMERS/ADD_CUSTOMER_TO_BOOKS_REQUEST';
export const ADD_CUSTOMER_TO_BOOKS_FAILED = 'CUSOMERS/ADD_CUSTOMER_TO_BOOKS_FAILED';
export const ADD_CUSTOMER_TO_BOOKS_RESPONSE = 'CUSOMERS/ADD_CUSTOMER_TO_BOOKS_RESPONSE';

//customer feedback
export const GET_ALL_CUSTOMER_FEEDBACK_REQUEST = "CUSOMERS/GET_ALL_CUSTOMER_FEEDBACK_REQUEST"
export const GET_ALL_CUSTOMER_FEEDBACK_FAILED = "CUSOMERS/GET_ALL_CUSTOMER_FEEDBACK_FAILED"
export const GET_ALL_CUSTOMER_FEEDBACK_RESPONSE = "CUSOMERS/GET_ALL_CUSTOMER_FEEDBACK_RESPONSE"


export const FILTER_CUSTOMER_FEEDBACK_REQUEST = "CUSOMERS/FILTER_CUSTOMER_FEEDBACK_REQUEST"
export const FILTER_CUSTOMER_FEEDBACK_FAILED = "CUSOMERS/FILTER_CUSTOMER_FEEDBACK_FAILED"
export const FILTER_CUSTOMER_FEEDBACK_RESPONSE = "CUSOMERS/FILTER_CUSTOMER_FEEDBACK_RESPONSE"


// get queue list
export const GET_QUEUE_LIST = 'QUEUE/GET_QUEUE_LIST';
export const GET_QUEUE_LIST_RESPONSE = 'QUEUE/GET_QUEUE_LIST_RESPONSE';
export const GET_QUEUE_LIST_FAILED = 'QUEUE/GET_QUEUE_LIST_FAILED';


// add queue
export const ADD_QUEUE = 'QUEUE/ADD_QUEUE';
export const ADD_QUEUE_RESPONSE = 'QUEUE/ADD_QUEUE_RESPONSE';
export const ADD_QUEUE_FAILED = 'QUEUE/ADD_QUEUE_FAILED';


// selected queue
export const SELECTED_QUEUE = 'QUEUE/SELECTED_QUEUE';

// selected customer
export const SELECTED_CUSTOMER = 'QUEUE/SELECTED_CUSTOMER';

// queue waiting list
export const GET_QUEUE_WAITING_LIST = 'QUEUE/GET_QUEUE_WAITING_LIST';
export const GET_QUEUE_WAITING_LIST_RESPONSE = 'QUEUE/GET_QUEUE_WAITING_LIST_RESPONSE';
export const GET_QUEUE_WAITING_LIST_FAILED = 'QUEUE/GET_QUEUE_WAITING_LIST_FAILED';


// queue pending list
export const GET_QUEUE_PENDING_LIST = 'QUEUE/GET_QUEUE_PENDING_LIST';
export const GET_QUEUE_PENDING_LIST_RESPONSE = 'QUEUE/GET_QUEUE_PENDING_LIST_RESPONSE';
export const GET_QUEUE_PENDING_LIST_FAILED = 'QUEUE/GET_QUEUE_PENDING_LIST_FAILED';

// approve queue request
export const APPROVE_QUEUE_REQUEST = 'QUEUE/APPROVE_QUEUE_REQUEST';
export const APPROVE_QUEUE_REQUEST_RESPONSE = 'QUEUE/APPROVE_QUEUE_REQUEST_RESPONSE';
export const APPROVE_QUEUE_REQUEST_FAILED = 'QUEUE/APPROVE_QUEUE_REQUEST_FAILED';

// decline queue request
export const DECLINE_QUEUE_REQUEST = 'QUEUE/DECLINE_QUEUE_REQUEST';
export const DECLINE_QUEUE_REQUEST_RESPONSE = 'QUEUE/DECLINE_QUEUE_REQUEST_RESPONSE';
export const DECLINE_QUEUE_REQUEST_FAILED = 'QUEUE/DECLINE_QUEUE_REQUEST_FAILED';

// redirect customer
export const REDIRECT_CUSTOMER = 'QUEUE/REDIRECT_CUSTOMER';
export const REDIRECT_CUSTOMER_RESPONSE = 'QUEUE/REDIRECT_CUSTOMER_RESPONSE';
export const REDIRECT_CUSTOMER_FAILED = 'QUEUE/REDIRECT_CUSTOMER_FAILED';


// get service
export const GET_SERVICE = 'SERVICES/GET_SERVICE';
export const GET_SERVICE_RESPONSE = 'SERVICES/GET_SERVICE_RESPONSE';
export const GET_SERVICE_FAILED = 'SERVICES/GET_SERVICE_FAILED';

// add customer to queue
export const ADD_CUSTOMER_TO_QUEUE = 'QUEUE/ADD_CUSTOMER_TO_QUEUE';
export const ADD_CUSTOMER_TO_QUEUE_RESPONSE = 'QUEUE/ADD_CUSTOMER_TO_QUEUE_RESPONSE';
export const ADD_CUSTOMER_TO_QUEUE_FAILED = 'QUEUE/ADD_CUSTOMER_TO_QUEUE_FAILED';


// cancel customer in waiting
export const CANCEL_CUSTOMER_IN_WAITING = 'QUEUE/CANCEL_CUSTOMER_IN_WAITING';
export const CANCEL_CUSTOMER_IN_WAITING_RESPONSE = 'QUEUE/CANCEL_CUSTOMER_IN_WAITING_RESPONSE';
export const CANCEL_CUSTOMER_IN_WAITING_FAILED = 'QUEUE/CANCEL_CUSTOMER_IN_WAITING_FAILED';

// call next customer in queue
export const CALL_NEXT_CUSTOMER = 'QUEUE/CALL_NEXT_CUSTOMER';
export const CALL_NEXT_CUSTOMER_RESPONSE = 'QUEUE/CALL_NEXT_CUSTOMER_RESPONSE';
export const CALL_NEXT_CUSTOMER_FAILED = 'QUEUE/CALL_NEXT_CUSTOMER_FAILED';

// Swap customer ranks
export const SWAP_CUSTOMER_RANKS = 'QUEUE/SWAP_CUSTOMER_RANKS';
export const SWAP_CUSTOMER_RANKS_RESPONSE = 'QUEUE/SWAP_CUSTOMER_RANKS_RESPONSE';
export const SWAP_CUSTOMER_RANKS_FAILED = 'QUEUE/SWAP_CUSTOMER_RANKS_FAILED';


// get all services 

export const GET_ALL_SERVICES_REQUEST = 'SERVICES/GET_ALL_SERVICES_REQUEST';
export const GET_ALL_SERVICES_FAILED = 'SERVICES/GET_ALL_SERVICES_FAILED';
export const GET_ALL_SERVICES_RESPONSE = 'SERVICES/GET_ALL_SERVICES_RESPONSE';


// create services
export const CREATE_SERVICE_REQUEST = 'SERVICES/CREATE_SERVICE_REQUEST';
export const CREATE_SERVICE_FAILED = 'SERVICES/CREATE_SERVICE_FAILED';
export const CREATE_SERVICE_RESPONSE = 'SERVICES/CREATE_SERVICE_RESPONSE';



// update services 
export const UPDATE_SERVICE_REQUEST = 'SERVICES/UPDATE_SERVICE_REQUEST';
export const UPDATE_SERVICE_FAILED = 'SERVICES/UPDATE_SERVICE_FAILED';
export const UPDATE_SERVICE_RESPONSE = 'SERVICES/UPDATE_SERVICE_RESPONSE';



// remove services 
export const DELETE_SERVICE_REQUEST = 'SERVICES/DELETE_SERVICE_REQUEST';
export const DELETE_SERVICE_FAILED = 'SERVICES/DELETE_SERVICE_FAILED';
export const DELETE_SERVICE_RESPONSE = 'SERVICES/DELETE_SERVICE_RESPONSE';




// get all notification
export const GET_ALL_NOTIFICATION_REQUEST = 'SERVICES/GET_ALL_NOTIFICATION_REQUEST';
export const GET_ALL_NOTIFICATION_FAILED = 'SERVICES/GET_ALL_NOTIFICATION_FAILED';
export const GET_ALL_NOTIFICATION_RESPONSE = 'SERVICES/GET_ALL_NOTIFICATION_RESPONSE';


//--------------------------------------------------------------------------------------

// get all team members
export const GET_ALL_TEAM_MEMBER_REQUEST = 'TEAM_MEMBERS/GET_ALL_TEAM_MEMBER_REQUEST';
export const GET_ALL_TEAM_MEMBER_FAILED = 'TEAM_MEMBERS/GET_ALL_TEAM_MEMBER_FAILED';
export const GET_ALL_TEAM_MEMBER_RESPONSE = 'TEAM_MEMBERS/GET_ALL_TEAM_MEMBER_RESPONSE';


// delete team
export const REMOVE_TEAM_MEMBER_REQUEST = 'TEAM_MEMBERS/REMOVE_TEAM_MEMBER_REQUEST';
export const REMOVE_TEAM_MEMBER_FAILED = 'TEAM_MEMBERS/REMOVE_TEAM_MEMBER_FAILED';
export const REMOVE_TEAM_MEMBER_RESPONSE = 'TEAM_MEMBERS/REMOVE_TEAM_MEMBER_RESPONSE';


// update team
export const UPDATE_TEAM_MEMBER_REQUEST = 'TEAM_MEMBERS/UPDATE_TEAM_MEMBER_REQUEST';
export const UPDATE_TEAM_MEMBER_FAILED = 'TEAM_MEMBERS/UPDATE_TEAM_MEMBER_FAILED';
export const UPDATE_TEAM_MEMBER_RESPONSE = 'TEAM_MEMBERS/UPDATE_TEAM_MEMBER_RESPONSE';

// create team
export const CREATE_TEAM_MEMBER_REQUEST = 'CREATE_TEAM_MEMBER/CREATE_TEAM_MEMBER_REQUEST';
export const CREATE_TEAM_MEMBER_FAILED = 'CREATE_TEAM_MEMBER/CREATE_TEAM_MEMBER_FAILED';
export const CREATE_TEAM_MEMBER_RESPONSE = 'CREATE_TEAM_MEMBER/CREATE_TEAM_MEMBER_RESPONSE';


// GET MEMBERSHIP PLAN REQUEST
export const GET_MEMBERSHIP_PLAN_REQUEST = 'MEMBERSHIP/GET_MEMBERSHIP_PLAN_REQUEST';
export const GET_MEMBERSHIP_PLAN_FAILED = 'MEMBERSHIP/GET_MEMBERSHIP_PLAN_FAILED';
export const GET_MEMBERSHIP_PLAN_RESPONSE = 'MEMBERSHIP/GET_MEMBERSHIP_PLAN_RESPONSE';
export const SET_PLAN_SELECTED = 'MEMBERSHIP/SET_PLAN_SELECTED';



// get all rules
export const GET_RULES_LIST_REQUEST = 'RULES/GET_RULES_LIST_REQUEST';
export const GET_RULES_LIST_FAILED = 'RULES/GET_RULES_LIST_FAILED';
export const GET_RULES_LIST_RESPONCE = 'RULES/GET_RULES_LIST_RESPONCE';



// update rule
export const CREATE_RULE_REQUEST = 'RULES/CREATE_RULE_REQUEST';
export const CREATE_RULE_FAILED = 'RULES/CREATE_RULE_FAILED';
export const CREATE_RULE_RESPONCE = 'RULES/CREATE_RULE_RESPONCE';

// delete rule
export const DELETE_RULE_REQUEST = 'RULES/DELETE_RULE_REQUEST';
export const DELETE_RULE_FAILED = 'RULES/DELETE_RULE_FAILED';
export const DELETE_RULE_RESPONCE = 'RULES/DELETE_RULE_RESPONCE';


// update rule
export const UPDATE_RULE_REQUEST = 'RULES/UPDATE_RULE_REQUEST';
export const UPDATE_RULE_FAILED = 'RULES/UPDATE_RULE_FAILED';
export const UPDATE_RULE_RESPONCE = 'RULES/UPDATE_RULE_RESPONCE';



// update user account
export const UPDATE_USER_ACCOUNT_REQUEST = 'UPDATE_USER/UPDATE_USER_ACCOUNT_REQUEST';
export const UPDATE_USER_ACCOUNT_FAILED = 'UPDATE_USER/UPDATE_USER_ACCOUNT_FAILED';
export const UPDATE_USER_ACCOUNT_RESPONCE = 'UPDATE_USER/UPDATE_USER_ACCOUNT_RESPONCE';




// update password
export const UPDATE_PASSWORD_REQUEST = 'UPDATE_USER/UPDATE_PASSWORD_REQUEST';
export const UPDATE_PASSWORD_FAILED = 'UPDATE_USER/UPDATE_PASSWORD_FAILED';
export const UPDATE_PASSWORD_RESPONCE = 'UPDATE_USER/UPDATE_PASSWORD_RESPONCE';



// update business info
export const UPDATE_BUSINESS_INFO_REQUEST = 'UPDATE_USER/UPDATE_BUSINESS_INFO_REQUEST';
export const UPDATE_BUSINESS_INFO_FAILED = 'UPDATE_USER/UPDATE_BUSINESS_INFO_FAILED';
export const UPDATE_BUSINESS_INFO_RESPONCE = 'UPDATE_USER/UPDATE_BUSINESS_INFO_RESPONCE';



// update business working dayes
export const UPDATE_BUSINESS_WORKING_DAYES_REQUEST = 'UPDATE_USER/UPDATE_BUSINESS_WORKING_DAYES_REQUEST';
export const UPDATE_BUSINESS_WORKING_DAYES_FAILED = 'UPDATE_USER/UPDATE_BUSINESS_WORKING_DAYES_FAILED';
export const UPDATE_BUSINESS_WORKING_DAYES_RESPONCE = 'UPDATE_USER/UPDATE_BUSINESS_WORKING_DAYES_RESPONCE';


// update business location
export const UPDATE_BUSINESS_LOCATION_REQUEST = 'UPDATE_USER/UPDATE_BUSINESS_LOCATION_REQUEST';
export const UPDATE_BUSINESS_LOCATION_FAILED = 'UPDATE_USER/UPDATE_BUSINESS_LOCATION_FAILED';
export const UPDATE_BUSINESS_LOCATION_RESPONCE = 'UPDATE_USER/UPDATE_BUSINESS_LOCATION_RESPONCE';



// payment
export const ADD_NEW_PAYMENT_CARD_REQUEST = 'PAYMENT/ADD_NEW_PAYMENT_CARD_REQUEST';
export const ADD_NEW_PAYMENT_CARD_FAILED = 'PAYMENT/ADD_NEW_PAYMENT_CARD_FAILED';
export const ADD_NEW_PAYMENT_CARD_RESPONSE = 'PAYMENT/ADD_NEW_PAYMENT_CARD_RESPONSE';


export const GET_PAYEMENT_CARDS_REQUEST = 'PAYMENT/GET_PAYEMENT_CARDS_REQUEST';
export const GET_PAYEMENT_CARDS_FAILED = 'PAYMENT/GET_PAYEMENT_CARDS_FAILED';
export const GET_PAYEMENT_CARDS_RESPONSE = 'PAYMENT/GET_PAYEMENT_CARDS_RESPONSE';


export const DELETE_PAYEMENT_CARD_REQUEST = 'PAYMENT/DELETE_PAYEMENT_CARD_REQUEST';
export const DELETE_PAYEMENT_CARD_FAILED = 'PAYMENT/DELETE_PAYEMENT_CARD_FAILED';
export const DELETE_PAYEMENT_CARD_RESPONSE = 'PAYMENT/DELETE_PAYEMENT_CARD_RESPONSE';

export const UPDATE_ACCOUNT_MEMBERSHIP_REQUEST = 'PAYMENT/UPDATE_ACCOUNT_MEMBERSHIP_REQUEST';
export const UPDATE_ACCOUNT_MEMBERSHIP_FAILED = 'PAYMENT/UPDATE_ACCOUNT_MEMBERSHIP_FAILED';
export const UPDATE_ACCOUNT_MEMBERSHIP_RESPONSE = 'PAYMENT/UPDATE_ACCOUNT_MEMBERSHIP_RESPONSE';
//----------------------------booking------------------------------

//get booking list
export const GET_BOOKING_LIST_REQUEST = "BOOKING/GET_BOOKING_LIST_REQUEST"
export const GET_BOOKING_LIST_FAILED = "BOOKING/GET_BOOKING_LIST_FAILED"
export const GET_BOOKING_LIST_RESPONSE = "BOOKING/GET_BOOKING_LIST_RESPONSE"


//create booking 
export const CREATE_BOOKING_REQUEST = "BOOKING/CREATE_BOOKING_REQUEST"
export const CREATE_BOOKING_FAILED = "BOOKING/CREATE_BOOKING_FAILED"
export const CREATE_BOOKING_RESPONSE = "BOOKING/CREATE_BOOKING_RESPONSE"


//delete booking
export const DELETE_BOOKING_REQUEST = "BOOKING/DELETE_BOOKING_REQUEST"
export const DELETE_BOOKING_FAILED = "BOOKING/DELETE_BOOKING_FAILED"
export const DELETE_BOOKING_RESPONSE = "BOOKING/DELETE_BOOKING_RESPONSE"

//update booking
export const UPDATE_BOOKING_REQUEST = "BOOKING/UPDATE_BOOKING_REQUEST"
export const UPDATE_BOOKING_FAILED = "BOOKING/UPDATE_BOOKING_FAILED"
export const UPDATE_BOOKING_RESPONSE = "BOOKING/UPDATE_BOOKING_RESPONSE"


//Filter Bookings
export const FILTER_BOOKING_REQUEST = "BOOKING/FILTER_BOOKING_REQUEST"
export const FILTER_BOOKING_FAILED = "BOOKING/FILTER_BOOKING_FAILED"
export const FILTER_BOOKING_RESPONSE = "BOOKING/FILTER_BOOKING_RESPONSE"


//----------------------------booking requests ------------------------------






//----------------------------booking request------------------------------

//get booking  request list
export const GET_BOOKING_REQUEST_LIST_REQUEST = "BOOKING/GET_BOOKING_REQUEST_LIST_REQUEST"
export const GET_BOOKING_REQUEST_LIST_FAILED = "BOOKING/GET_BOOKING_REQUEST_LIST_FAILED"
export const GET_BOOKING_REQUEST_LIST_RESPONSE = "BOOKING/GET_BOOKING_REQUEST_LIST_RESPONSE"


//approve  booking request
export const APPROVE_BOOKING_REQUEST_REQUEST = "BOOKING/APPROVE_BOOKING_REQUEST_REQUEST"
export const APPROVE_BOOKING_REQUEST_FAILED = "BOOKING/APPROVE_BOOKING_REQUEST_FAILED"
export const APPROVE_BOOKING_REQUEST_RESPONSE = "BOOKING/APPROVE_BOOKING_REQUEST_RESPONSE"


//delete  booking request
export const DELETE_BOOKING_REQUEST_REQUEST = "BOOKING/DELETE_BOOKING_REQUEST_REQUEST"
export const DELETE_BOOKING_REQUEST_FAILED = "BOOKING/DELETE_BOOKING_REQUEST_FAILED"
export const DELETE_BOOKING_REQUEST_RESPONSE = "BOOKING/DELETE_BOOKING_REQUEST_RESPONSE"


//----------------------------booking requests ------------------------------


//delete  booking request
export const UPDATE_APP_SETTING_REQUEST = "SETTING/UPDATE_APP_SETTING_REQUEST"
export const UPDATE_APP_SETTING_FAILED = "SETTING/UPDATE_APP_SETTING_FAILED"
export const UPDATE_APP_SETTING_RESPONSE = "SETTING/UPDATE_APP_SETTING_RESPONSE"


export const GET_REPORTS_LIST_REQUEST = "REPORTS/GET_REPORTS_LIST_REQUEST"
export const GET_REPORTS_LIST_RESPONSE = "REPORTS/GET_REPORTS_LIST_RESPONSE"
export const GET_REPORTS_LIST_FAILED = "REPORTS/GET_REPORTS_LIST_FAILED"

export const FILTER_REPORT_REQUEST = "REPORTS/FILTER_REPORT_REQUEST"
export const FILTER_REPORT_RESPONSE = "REPORTS/FILTER_REPORT_RESPONSE"
export const FILTER_REPORT_FAILED = "REPORTS/FILTER_REPORT_FAILED"



